/*
 * Filename : lcd.h
 * Hardware : Controller  -> pic16f690
 *            XTAL        -> INT_RC_OSC ( 8MHz )
 *
 * I/O      : RS          -> PortC.7
 *            Enable      -> PortC.6
 *            Data456     -> PortC.0-2
 *            Data7       -> PortB.4
 * Compiler : SDCC
 * Author   : sci-3d@hotmail.com
 * Date		: 01/08/06
 * ----------------------------------------------
 * Modified by: Gal Zsolt ( galzsolt at freemail.hu )
 * Date		: 2010.november 6.
 */

#define	LCD_D7	S_PortB.B4
#define	LCD_D6	S_PortC.B2
#define LCD_D5	S_PortC.B1
#define LCD_D4	S_PortC.B0
#define LCD_EN 	PORTC_bits.RC6
#define LCD_RS 	PORTC_bits.RC7

#define LCD_DELAY 200 /* Delay for 1 ms */
#define LCD_clear() LCD_command(0x1);Delay_5000()	/* Clear display LCD */
#define LCD_origin() LCD_command(0x2)	/* Set to origin LCD */
#define LCD_row1() LCD_command(0x80) /* Begin at Line 1 */
#define LCD_row2() LCD_command(0xC0) /* Begin at Line 2 */


